/*:
## Naming Things Revisited
 
In an earlier lesson, you explored the importance of naming things in real life and in programming.

You’ve learned how to define a name in code and to associate a value with it by declaring a constant:
 */
let city = "Paris"
//:  You’ve also learned how to define a name and associate it with a list of statements by declaring a function:
func printGreeting() {
    let greeting = "Hello"
    print(greeting)
}
/*:
You may be starting to see a pattern. A large part of programming is making up things, giving them names, and then calling those things by name to use them.
 
 So far, you’ve used constants whenever you’ve needed to assign a value to a name. But there’s still an important unanswered question: Why are they called constants?
 
 You may have already guessed that the name “constant” has something to do with staying the same — remaining constant — over time. As soon as you assign the value of a constant, you can be sure the value will remain the same.
 
 There's a second way to associate a value with a name in Swift. These values are called _variables_. With a variable, you can update the value over time as your program runs. The value associated with the name can change, or vary, over time.
 
 In this playground, you'll learn more about the differences between variables and constants, how to declare variables, and how to decide whether to use a variable instead of a constant.

 How does this all work and why is it important?
 
 Move on to the next page to learn more.

 
 
page 1 of 13  |  [Next: Constant and Variable](@next)
 */