/*:
## Choosing Good Names
Choosing good names is a very important programming skill. Programmers want to choose good names so that their code is easy to read and understand.

So far, you’ve used names like `numberOfDogs` and `numberOfCats`. These are good names because they clearly describe what they represent.

Imagine if the names had been `nd` and `nc` instead (for **n**umber of **d**ogs and **n**umber of **c**ats).\
Or even less descriptive names, like `n1` and `n2`.

Swift will accept names like this without complaint. But imagine coming back to read that code after vacation. Would you remember what `nd` or `n1` meant? And if you gave the playground to other programmers, how would they figure out what those names were supposed to mean?

 - callout(Just for fun): In Swift, you can use emoji in names. This is not considered good naming practice, but it can be fun.  Below is the pet problem using emoji for names.
 */
let 🐶 = 8
let 🐱 = 4
let 🐹 = 2
let 🐢 = 3
let 🐍 = 1
let 🐷 = 1
let 🐟 = 1

let totalNumberOfAnimals = 🐶 + 🐱 + 🐹 + 🐢 + 🐍 + 🐷 + 🐟

let totalNumberOfMammals = 🐶 + 🐱 + 🐹 + 🐷

/*:
 - callout(Why not?): Why not use emoji for names? One reason is that it can be difficult to tell emoji apart at a glance. Another is that there might not be an emoji for every case. What if someone brought a pet tarantula to the pet show? There’s no emoji to match. Using words is a lot more flexible and definitely more reliable.

Next, learn the official names for the work you’ve been doing.

[Previous](@previous)  |  page 7 of 14  |  [Next: Programmer Talk](@next)
 */