/*:
## Wrapup
 
 You can use arrays to hold lists of items. Arrays have two key features:
 
- The items in the array are all of the same type.
- The items in the array are in a specific order.
 
 Because of these two features, you can access items from specific points in the array using the index, and you’ll always get back a value of a known type.
 
 Here are some other things you’ve learned about arrays:
 
- The first index of an array is zero, not one.
- Accessing arrays using the index can be dangerous. If the index used is outside the bounds of the array, your program will crash.
- You can find out the number of items in an array using the `count` property.
- You can use `for…in` loops to safely access each item in the array in order, without needing to know how many items the array contains.
- Mutable arrays allow you to add, remove, and replace items.
- You can combine two data sources by appending one array to another array, and then process the array as a single source.
 
 Practice what you’ve learned with the exercises. You will discover how useful it is to write code to filter data to answer a question, or uncover patterns in a collection of data.

[Previous](@previous)  |  page 12 of 18  |  [Next: Exercise: Count](@next)
 */