/*:
## Confusing Changes
 
When something changes in your life, you can experience some degree of confusion.
 
Imagine you're meeting a group of six friends at the movies at 8 p.m.
 
You receive a message that the plan has changed. You're now seeing a different movie at a different theater and will be meeting at 9 p.m.
 
A little later you receive another message that the plan has changed again. Now you're just going to hang out at your friend’s house and watch a movie there. The time is changed to 6 p.m, and you’ll order pizza.
 
Then you receive another message that you’re going to be at your other friend’s house, but at 6:30 p.m.

 - Experiment: With all these changes, how likely is it that everyone is going to end up at the right place at the right time?\
\
Would mistakes be less likely if the plan hadn't changed?

Anytime you make a change, there’s a chance that someone who relies on the information will end up using the old information and making a mistake.
 
The same is true in programming. If you can make something a constant, you guarantee the value will never change. There's no chance another part of your program can get out of sync or use an old value.
 
 But sometimes you do need to use variables. As a program runs, things change. In programming, something that's able to change is called _mutable_, based on the word _mutate_, which just means “to change.”
 
 Something that's unable to be changed is called _immutable_. If something doesn't need to change, it's a good practice to use a constant. You'll reduce the chance of confusion and errors.

 Speaking of errors, move on to learn about a common error when working with constants and variables.
 
[Previous](@previous)  |  page 6 of 13  |  [Next: Trying to Change a Constant](@next)
 */