/*:
## Constant and Variable
 
 In programming, there's an important difference between names that always refer to the same value and names where the value can change over time.
 
 The same is true when naming things in the real world, but people don’t always notice it.
 
#### Constant
 
 For example, think about “your birthdate.” Your birthdate will never change. No matter how young you are or how old you get, that date remains the same. Even hundreds of years from now, when people read about how you changed the world with your magnificent apps, your birthdate will remain the same.
 
 Your birthdate is a constant. The value is set once when you are born and never changes after that. In code, you would make `birthdate` a constant.
 
 
#### Variable
 
 Many of the names people use every day can have different values over time.
 
 For example, think about “your favorite shirt” or another article of clothing. When you were two years old, your favorite short may have had a dinosaur or a unicorn on it. As you got older, you outgrew that shirt, both in size and in style, and now a different shirt is your favorite. In the future, you’ll probably have many different favorite shirts. You still have that name or idea of a “favorite shirt” — but the actual shirt you're referring to keeps changing over time.

 In code, you'd say that `favoriteShirt` is a variable.

#### A Little of Both
 You can see a little bit of both ideas of constants and variables in most kinds of team sports. There's the notion of the “home team” and “visitors.” At your school, the home team is always the same. For your school, it's constant. The name or concept of the “visitors” stays the same, but the actual team changes every game. The visiting team is variable.

 - Experiment: Think about things in life that are constants and things that are variables. Use the list below as a starting point:
   - Where you were born
   - Where you live
   - How old you are
   - Your favorite movie
   - How many inches are in a foot
   - Who was the first President of the United States

[Previous](@previous)  |  page 2 of 13  |  [Next: Declaring Variables](@next)
 */