/*:
## Programmer Talk
Developing apps is more than figuring out what to type into Xcode. Programmers work together to discuss how to solve problems and explain things to each other. So it’s important to learn the terminology programmers use.

Throughout this course, you’ll learn how to write code and create apps, but you’ll also learn the terms you need to talk about code with other developers.

In this playground, you learned the terms _constant_ and _identifier_. Keep reading to understand some additional terms.

Starting with your first playground, you wrote code like `6 + 2`, which is an example of an _expression_. The computer evaluates expressions to produce a value.

Expressions by themselves carry a minimal amount of information. In this playground you added the value of _statements_. Statements are more like instructions or actions (and they usually contain expressions) and are often referred to informally as _lines of code_.
 */
let numberOfDogs = 101
/*:
When you define a constant in Swift, it’s called _declaring_ a constant. So the statement above is known as a _declaration_. The instruction it gives to the computer is “Declare that the name `numberOfDogs` has the value `101`.”

The word `let` is an example of a _keyword_. Each keyword has a special meaning in Swift and can't be used as a name.  The `let` keyword is used to declare a constant. Over time, you’ll be introduced to more Swift keywords.

The last part of the statement, `= 101`, is where you _assign_ a value to the constant. This is called _assignment_ and the equal sign `=` is called the _assignment operator_.

 - Note: Don’t worry about memorizing every new term - it can be overwhelming! You’ll see these terms used in context during the rest of the course, and you can always find them in the Glossary if you need to refresh your memory.

[Previous](@previous)  |  page 8 of 14  |  [Next: Wrapup](@next)
 */