/*:
## Comments
Clarity and readability are important considerations when writing code. Programmers leave little notes right in the code to help explain what's going on.
This helps other people understand the code when they read it later.
These notes are called _comments_.

Comments are ignored by the playground and don't affect how your code is run.

A comment starts with two slashes `//` :
 */
// This is a comment; it does not affect the code
34 + 56 + 230
//: Because comments are ignored, no result is displayed in the results bar for that line of code.
// 200 + 34 + 45
/*:
 - Experiment: 
Try _commenting out_ the calculation `34 + 56 + 230` by adding two slashes to the beginning of the calculation.\
Try _uncommenting_ the calculation `200 + 34 + 45` by deleting the two slashes.\
Edit some of the existing expressions and add a few of your own.\
Notice that every time you make a change the results are updated in the sidebar.
 */
 
/*:
 Programmers often comment out and uncomment code as they work. But there's a much more important use for comments. When you write code, you should also document it. Documentation helps you record why you made certain decisions and explain how your code works. You could write such explanatory material in a separate file, but it's much easier to be able to read the documentation of your code inline with the code itself. Programmers use comments to document their code as they write it.
 
 For example, what did the calculations above represent? With comments, the code becomes clear.
 */
// Total money (in dollars): Coin jar, wallet, and bank account
34 + 56 + 230

// Minutes of violin practice: Two weeks ago, last week, and this week
200 + 34 + 45
/*:
Take a deep breath and move on to the next page.

[Previous](@previous)  |  page 4 of 7  |  [Next: When Things Go Wrong 😰](@next)
 */