/*:
## Data Processing
 
 Sometimes programmers write code that consumes massive amounts of data. You've already had some experience doing that when you filtered messages in the Arrays and Loops playground. But the output from your algorithm is only as good as the input data supplied to you.
 
 Humans are prone to error. When you write code that processes data that was entered by people—for example, a form on a web page—you'll need to account for the kinds of mistakes they might make. This is called *cleaning data*.
 
 On the next few pages, you'll explore a few ways things can go wrong in data processing, and how you can (sometimes) correct errors.
 
page 1 of 11  |  [Next: Tabulation](@next)
 */