/*:
## Wrapup
 
 In this playground, you learned how to change the parameters of a simulation of ant foraging to affect how it models real-world ant colonies. Even though you didn't explore its code, you gained a valuable perspective about how modeling and simulation work.
 
 Here are some questions to help you reflect on your experience.
 
- Can you describe the rules for an ant's behavior based on your observations? How and when does an ant decide to follow which pheromones?
- What combinations of parameters did you find that produced successful foraging behavior? What combinations did not produce successful foraging behavior?
- Were there any parameters that seemed especially likely to have a large impact on the simulation with a small change in their values?
- How are the parameters interrelated? For instance, if you decrease the number of ants, can you keep the foraging behavior intact by modifying another parameter?
- What are some hypotheses you can make about the foraging behavior of ant colonies based on your observations of this simulation? For instance, is there a critical number of ants required to produce foraging behavior?
- What would you do if you wanted to compare this model with the real-world behavior of ants? What kinds of enhancements would you make to the simulation?
- What other questions do you want to answer about ant colony behavior?
 
 
[Previous](@previous)  |  page 6 of 6
 */