/*:
## What Can You Print?
 
 Anything that you’d see in the results sidebar, you can `print` to the console.
 
 Open the results sidebar and confirm this for yourself by checking the examples.
  
 You can print strings:
 */
"Hello, world!"
print("Hello, world!")
//: Numbers and calculations:
8
print(8)
7 + 11
print(7 + 11)
//: String expressions:
"Have you seen" + "..." + "nevermind."
print("Have you seen" + "..." + "nevermind.")
//: Constants:
let authorName = "Beatrix Potter"
print(authorName)
let bookTitle = "Jemima Puddleduck"
print(bookTitle)
//: Variables:
var favoriteCookie = "chocolate chip"
print("My favorite type of cookie is \(favoriteCookie).")
favoriteCookie = "double chocolate chip"
print("Wait! I forgot about \(favoriteCookie). That one is even better.")
/*:
 The result of whatever’s inside the parentheses will appear in the console.

 - Experiment: Look for the following statements in the results sidebar, then make each statement print to the console, following the example.\
Before:\
`authorName`\
After:\
`print(authorName)`
 */
authorName
"authorName"
"Did you know that \(bookTitle) was written by \(authorName)?"
/*:
  _Copyright © 2020 Apple Inc._
 
 _Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:_
 
 _The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software._
 
 _THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE._

[Previous](@previous)  |  page 18 of 18
 */