/*:
## Wrapup
 
Every app has a model that represents the data it uses. You can define your own types in Swift to organize data in a way that makes sense for your app. One way to create custom types is by defining structs.

A struct is a type that can group together properties and methods. Some properties hold data, like variables or constants. Others return a calculated value. The methods of a struct provide the functions that operate with its properties.

You create and use instances of your custom types the same way as any other type in Swift. You use your custom types like any other types, including as function parameters and return types.
 
Structs are an essential way to accomplish data abstraction. Nearly all the code you write is likely to use structs in some way, and you'll often find reasons to create custom ones. By doing this, you're making your code easier to work with—encapsulating the details of related data and functions into one entity so that those details are isolated from the code that uses them. When you use instances of your struct, you don't have to think about all its individual pieces—just the concept that the struct represents, like a song or a rectangle.

Next, design and build some structs of your own.

[Previous](@previous)  |  page 9 of 10  |  [Next: Exercise: Your Own Structure](@next)
 */